Bug 547580 - SELinux is preventing ethtool "read" access on /usr/share/tuned/monitorplugins/net.py.
Summary: SELinux is preventing ethtool "read" access on /usr/share/tuned/monitorplugin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b993d37aa17...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 01:36 UTC by Martin Kopun
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:39 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Kopun 2009-12-15 01:36:35 UTC
Souhrn:

SELinux is preventing ethtool "read" access on
/usr/share/tuned/monitorplugins/net.py.

Podrobný popis:

SELinux denied access requested by ethtool. It is not expected that this access
is required by ethtool and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                system_u:system_r:ifconfig_t:s0
Kontext cíle                 system_u:object_r:usr_t:s0
Objekty cíle                 /usr/share/tuned/monitorplugins/net.py [ file ]
Zdroj                         ethtool
Cesta zdroje                  ethtool
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          
RPM balíčky cíle           tuned-0.2.5-2.fc12
RPM politiky                  selinux-policy-3.6.32-56.fc12
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31.6-145.fc12.x86_64 #1 SMP Sat
                              Nov 21 15:57:45 EST 2009 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               Út 15. prosinec 2009, 02:25:33 CET
Naposledy viděno             Út 15. prosinec 2009, 02:25:33 CET
Místní ID                   366f9f0e-a2bd-4793-981e-d042086e833b
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1260840333.895:12): avc:  denied  { read } for  pid=1892 comm="ethtool" path="/usr/share/tuned/monitorplugins/net.py" dev=dm-3 ino=648405 scontext=system_u:system_r:ifconfig_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file



Hash String generated from  selinux-policy-3.6.32-56.fc12,catchall,ethtool,ifconfig_t,usr_t,file,read
audit2allow suggests:

#============= ifconfig_t ==============
allow ifconfig_t usr_t:file read;

Comment 1 Daniel Walsh 2009-12-15 14:09:24 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:56:23 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:44:27 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.